﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="InformeDiario.aspx.cs" Inherits="Seven.Front.InformeDiario" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <title><%=L.TIT("InformeDiario") %></title>

    <script type="text/javascript">

        function Ver()
        {
            window.open('Informe.aspx?r=13'
                + '&a=' + $('#txtAno').val()
                + '&m=' + $('#cbMoneda').val()
                + '&g=' + $('input[name=rbAgrupar]:checked').val()
            , "_blank");
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#SevenMenu").accordion("option", "active", 4);

            $("#EnlaceMaestro").focus();

            $('#cbMoneda').val(<%=FrontMoneda %>);

        });

    </script>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M5';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="../Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="../img/arrow.png" alt="" />
                    <a href="#"><%=L.TIT("InformeDiario") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>

    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 550px; height: 400px;">

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="HiddenHive">
                </div>

                <br />

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("InformeDiario") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/4-9-estad%C3%ADsticas-de-explotacion/', '_blank');" id="A1">
                                                <img src="../img/question.png" />
                                                <%=L.LBL("LblGENHelp") %>
                                            </a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <br />

                <fieldset>

                    <table>
                        <tr>
                            <td><%=L.LBL("LblGENMoney") %>: </td>
                            <td>
                                <%=cbMoneda %>
                            </td>
                            <td><%=L.LBL("LblGENAno") %>: </td>
                            <td>
                                <input type="text" id="txtAno" name="txtAno" value="<%=FrontAno %>" />
                            </td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENAgruparPor") %>:
                            </td>
                            <td>
                                <input type="radio" name="rbAgrupar" value="0" checked="checked" /><%=L.LBL("LblGENMes") %>
                                <input type="radio" name="rbAgrupar" value="1" /><%=L.LBL("LblGENSemana") %>
                                <input type="radio" name="rbAgrupar" value="2" /><%=L.LBL("LblGENDiaSemana") %>
                            </td>
                            <td>
                                <table style="width: 100%;">
                                    <tr>
                                        <td style="width: 100%;"></td>
                                        <td>
                                            <button type="button" onclick="Ver();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td>
                                                        <td><%=L.LBL("LblGENVer") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td style="width: 100%;"></td>
                        </tr>
                    </table>

                </fieldset>

                <br />

                <div style="width: 100%; height: 300px; overflow-x: hidden; overflow-y: scroll;">

                    <table class="SevenMsgExito" style="width: 100%; font-size: 10pt; white-space: normal; text-align: justify;">
                        <tr>
                            <td style="width: 100%;">
                                <br />
                                <hr />
                                <b>Total de Habitaciones</b><br />
                                <hr />
                                Corresponde al total de todas las habitaciones del hotel; sea disponible, bloqueada u ocupada.
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                                <hr />
                                <b>Habitaciones Ocupadas</b><br />
                                <hr />
                                Son todas las habitaciones en estado ocupadas sin tomar en cuenta las complementarias (CPL).
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                                <hr />
                                <b>Porcentaje de Ocupación </b>
                                <br />
                                <hr />
                                Corresponde al promedio de la ocupación total del hotel entre el total de habitaciones del hotel.<br />
                                <br />
                                <b>Formula</b>: [(Habitaciones Ocupadas + Habitaciones Ocupadas CPL) / Total de Habitaciones] * 100

                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                                <hr />
                                <b>Habitaciones Ocupadas CPL</b><br />
                                <hr />
                                Son todas las habitaciones en estado ocupadas y que son complementarias (CPL).
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                                <hr />
                                <b>Habitaciones Bloqueadas</b><br />
                                <hr />
                                Corresponde a las habitaciones en estado bloqueadas (por mantenimiento u otro tipo de inconveniente).
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                                <hr />
                                <b>ADR</b><br />
                                <hr />
                                Se entiende por la tarifa media de alojamiento por habitación ocupada sin complementarias (CPL) para un periodo
                                <br />
                                de tiempo determinado, es decir, es el precio medio de venta de la habitación más paquetes (desayuno incluido,
                                <br />
                                MAP, FAP entre otros).<br />
                                <br />
                                <b>Formula</b>: Ingresos de Habitaciones / Habitaciones Ocupadas
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                                <hr />
                                <b>RevPAR</b><br />
                                <hr />
                                Es el ingreso bruto por habitación disponible.<br />
                                <br />
                                El RevPar es para la industria hotelera lo que el ingreso por metro cuadrado representa para la industria del Retail.
                                <br />
                                Es una medida que da información sobre la eficiencia en el uso de los recursos para la generación de ingresos, 
                                <br />
                                en este caso, los cuartos instalados de un hotel.<br />
                                <ul>
                                    <li>El REVPAR mide la capacidad de generar efectivo de los cuartos instalados.</li>
                                    <li>En concepto es una medida de la eficiencia en el uso de los activos. Específicamente mide la capacidad de
                                        <br />
                                        generación de efectivo de los activos.</li>
                                    <li>Bajo el supuesto de una estructura de costos similar para un conjunto de hoteles, es un indicador comparable
                                        <br />
                                        de su desempeño financiero.</li>
                                    <li>Lo mejor en comparación a través como períodos de tiempo. Por ejemplo, es apropiado comparar RevPAR 
                                        <br />
                                        en un viernes sólo frente a otros viernes.</li>
                                    <li>Lo mejor comparado a través de similares periodos de tiempo estacionales. Por ejemplo, la comparación de 
                                        <br />
                                        los resultados de la Semana Navideña con el mismo período del año anterior es más creíble que con una semana
                                        <br />
                                        no festivos.</li>
                                </ul>
                                <b>Formula</b>: (Porcentaje de Ocupación / 100) * ADR
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                                <hr />
                                <b>RevPOR</b><br />
                                <hr />
                                Ingreso por habitación ocupada.<br />
                                <br />
                                Es una de las medidas más importantes que se utilizan en los hoteles de evaluar la contribución de los ingresos de
                                <br />
                                un grupo. RevPOR es más a menudo visto por Revenue Managers, en comparación con los objetivos presupuestados,
                                <br />
                                la demanda esperada, y las cifras año tras año con el fin de determinar las tarifas, las concesiones, y los términos
                                <br />
                                contractuales se ofrecen a los organizadores de reuniones.<br />
                                <br />
                                RevPOR es utilizado por los analistas para determinar el ingreso total y el potencial de ganancias de una empresa, las
                                <br />
                                tasas de ocupación se suben y bajan con la economía general y local, pero RevPOR es un indicador que se encuentra
                                <br />
                                independiente de lo lleno que está el hotel en cualquier momento.<br />
                                <br />
                                RevPOR también puede expresarse como “RevPOR total”, que incluye no sólo el precio de la habitación, sino también
                                <br />
                                todos los servicios adicionales (Extras y Puntos de Venta).<br />
                                <br />
                                <b>Formula</b>: (Ing de Habitaciones+ Ing Extras+ Ing Punto de ventas)  /  Habitaciones Ocupadas
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                                <hr />
                                <b>Ingresos de Habitaciones</b><br />
                                <hr />
                                Ingresos de Hospedaje más paquetes (desayuno incluido, MAP, FAP entre otros).  Sin impuestos.
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                                <hr />
                                <b>Ingresos Extra</b><br />
                                <hr />
                                Ingresos de extras como Telefonía, Spa, Transfer entre otros. Sin impuestos.
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                                <hr />
                                <b>Número de Personas</b><br />
                                <hr />
                                Es la cantidad de personas registrado por la fecha indicada.
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                                <hr />
                                <b>ADR Punto de ventas</b><br />
                                <hr />
                                Se entiende por la tarifa media de los puntos de ventas.<br />
                                <br />
                                <b>Formula</b>: Ingresos Punto de ventas / Número de Personas
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                                <hr />
                                <b>Ingresos Punto de ventas</b><br />
                                <hr />
                                Ingreso registro por punto de venta. Sin Impuestos.
                            </td>
                        </tr>
                    </table>

                </div>
            </div>

        </div>

    </div>

</asp:Content>
