﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="InformeDiarioAnualAnual.aspx.cs" Inherits="Seven.Front.InformeDiarioAnual" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <title><%=L.TIT("InformeDiarioAnual") %></title>

    <script type="text/javascript">

        function Ver()
        {
            window.open('Informe.aspx?r=14&y=' + $('#txtAno').val() 
                + '&m=' + $('#cbMoneda').val() 
                + '&f=' + $('#txtFechaPronost').val() 
                + '&o=' + $('#cbUsuario').val()
            , "_blank");
        }

        function VerComp()
        {
            window.open('Informe.aspx?r=14&y=' + $('#txtAno').val() 
                + '&m=' + $('#cbMoneda').val() 
                + '&f=' + $('#txtFechaPronost').val() 
                + '&o=' + $('#cbUsuario').val()
                + '&c=1'
                + '&y2=' + $('#txtAno2').val() 
                + '&f2=' + $('#txtFechaPronost2').val()
            , "_blank");
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#SevenMenu").accordion("option", "active", 4);

            $("#EnlaceMaestro").focus();

            $('#cbMoneda').val(<%=FrontMoneda %>);
            $('#cbUsuario').val(<%=FrontUsuario %>);

            $(".eligeFechaHotel").datepicker({
                showOn: "button",
                buttonImage: "css/Themes/Fall/calendar.png",
                buttonImageOnly: true,
                firstDay: 0,
                changeYear: true, 
                changeMonth: true,
                maxDate: new Date(<%=fecha_hotelera.Year %>, <%=fecha_hotelera.Month %> - 1, <%=fecha_hotelera.Day %>)
            });

        });

    </script>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M5';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="../Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="../img/arrow.png" alt="" />
                    <a href="#"><%=L.TIT("InformeDiarioAnual") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>

    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 500px; height: 400px;">

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="HiddenHive">
                </div>

                <br />

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("InformeDiarioAnual") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/4-9-estad%C3%ADsticas-de-explotacion/', '_blank');" id="A1">
                                                <img src="../img/question.png" />
                                                <%=L.LBL("LblGENHelp") %>
                                            </a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td><%=L.LBL("LblGENMoney") %>: </td>
                        <td>
                            <%=cbMoneda %>
                        </td>
                        <td>
                            <%=L.LBL("LblGENUser") %>:
                        </td>
                        <td>
                            <%=cbUsuario %>
                        </td>
                    </tr>
                </table>

                <br />

                <fieldset>

                    <table>
                        <tr>
                            <td><%=L.LBL("LblGENAno") %>: </td>
                            <td>
                                <input type="text" id="txtAno" name="txtAno" value="<% Response.Write(FrontAno); %>" />
                            </td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td><%=L.LBL("LblFDKReconstruirPronost") %>: </td>
                            <td>
                                <input type="text" id="txtFechaPronost" name="txtFechaPronost" class="eligeFechaHotel" value="<% Response.Write(String.Format("{0:d}", FrontFechaPronost)); %>" />
                            </td>
                            <td>
                                <table style="width: 100%;">
                                    <tr>
                                        <td style="width: 100%;"></td>
                                        <td>
                                            <button type="button" onclick="Ver();" >
                                                <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                </fieldset>

                <br />

                <fieldset>

                    <table>
                        <tr>
                            <td><%=L.LBL("LblGENAno") %>: </td>
                            <td>
                                <input type="text" id="txtAno2" name="txtAno2" value="<% Response.Write(FrontAno2); %>" />
                            </td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td><%=L.LBL("LblFDKReconstruirPronost") %>: </td>
                            <td>
                                <input type="text" id="txtFechaPronost2" name="txtFechaPronost2" class="eligeFechaHotel" value="<% Response.Write(String.Format("{0:d}", FrontFechaPronost2)); %>" />
                            </td>
                            <td>
                                <table style="width: 100%;">
                                    <tr>
                                        <td style="width: 100%;"></td>
                                        <td>
                                            <button type="button" onclick="VerComp();" >
                                                <table><tr><td><img src="img/seven_duplicar.png" alt="<%=L.LBL("LblGENComparativo") %>" /></td><td><%=L.LBL("LblGENComparativo") %></td></tr></table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                </fieldset>

                <br />

                <table class="SevenMsgExito">
                    <tr>
                        <td style="font-size: 10pt; text-align: justify; white-space: normal; padding: 5px;">
                            <%=L.REP("DIARIOANUALINFO1") %>
                            <br /><br />
                            <%=L.REP("ESEXINFO4") %>
                            <br /><br />
                            <%=L.REP("DIARIOANUALUSR") %>
                        </td>
                    </tr>
                </table>
            </div>

        </div>

    </div>

</asp:Content>
