﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="ListadosLlegadasSalidas.aspx.cs" Inherits="Seven.Front.ListadosLlegadasSalidas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
    { %>

    <title><%=L.TIT("ListadosLlegadasSalidas") %> [3.3]</title>

    <script type="text/javascript">

        function SelectList() {
            if (parseInt($('input[name=rbSalidas]:checked').val()) == 0) {
                $('#LLSTabs').tabs("enable", 0);
                $('#LLSTabs').tabs("disable", 1);
                $('#LLSTabs').tabs("option", "active", 0);

                $('#cbVueloEnt').prop('disabled', false);
                $('#cbVueloSal').prop('disabled', true);

                if (parseInt($('input[name=rbLLPor]:checked').val()) == 0) {
                    $('#cbPiso').prop('disabled', true);
                    $('#cbGrupo').prop('disabled', true);
                    $('#cbLLTodosNombres').prop('disabled', true);
                    $('#cbLLIncluirClieNoHabi').prop('disabled', true);
                    $('#cbLLIncluirPrecAloj').prop('disabled', true);
                    $('#cbLLTodosNombres').prop('checked', false);
                    $('#cbLLIncluirClieNoHabi').prop('checked', false);
                    $('#cbLLIncluirPrecAloj').prop('checked', false);
                }

                if (parseInt($('input[name=rbLLPor]:checked').val()) == 1) {
                    $('#cbPiso').prop('disabled', false);
                    $('#cbGrupo').prop('disabled', false);
                    $('#cbLLTodosNombres').prop('disabled', false);
                    $('#cbLLIncluirClieNoHabi').prop('disabled', false);
                    $('#cbLLIncluirPrecAloj').prop('disabled', true);
                    $('#cbLLTodosNombres').prop('checked', true);
                    $('#cbLLIncluirClieNoHabi').prop('checked', true);
                    $('#cbLLIncluirPrecAloj').prop('checked', false);
                }

                if (parseInt($('input[name=rbLLPor]:checked').val()) == 2) {
                    $('#cbPiso').prop('disabled', false);
                    $('#cbGrupo').prop('disabled', false);
                    $('#cbLLTodosNombres').prop('disabled', false);
                    $('#cbLLIncluirClieNoHabi').prop('disabled', true);
                    $('#cbLLIncluirPrecAloj').prop('disabled', false);
                    $('#cbLLTodosNombres').prop('checked', true);
                    $('#cbLLIncluirClieNoHabi').prop('checked', false);
                    $('#cbLLIncluirPrecAloj').prop('checked', true);
                }
            }
            else {
                $('#LLSTabs').tabs("disable", 0);
                $('#LLSTabs').tabs("enable", 1);
                $('#LLSTabs').tabs("option", "active", 1);

                $('#cbVueloEnt').prop('disabled', true);
                $('#cbVueloSal').prop('disabled', false);

                $('#cbPiso').prop('disabled', false);
                $('#cbGrupo').prop('disabled', false);

                if (parseInt($('input[name=rbLSHabitaciones]:checked').val()) == 0) {
                    $('#cbLSIncluirInfoRese').prop('disabled', true);
                    $('#cbLSIncluirInfoRese').prop('checked', false);
                }
                else {
                    $('#cbLSIncluirInfoRese').prop('disabled', false);
                    $('#cbLSIncluirInfoRese').prop('checked', false);
                }
            }
        }

        function Llegadas() {
            window.open("Informe.aspx?r=230&s=" + $('#txtLLSDesde').val()
                + "&f=" + $('#txtLLSHasta').val()
                + "&n=" + $('#cbNacionalidad').val()
                + "&t=" + $('#cbContrato').val()
                + "&v=" + $('#cbVueloEnt').val()
                + "&p=" + $('#cbPiso').val()
                + "&g=" + $('#cbGrupo').val()
                + "&q=" + $('#txtLLSReferencia').val()
                + "&k=" + $('#cbLLSCardex:checked').val()
                + "&a=" + $('#cbLLTodosNombres:checked').val()
                + "&j=" + $('#cbLLIncluirClieNoHabi:checked').val()
                + "&x=" + $('#cbLLIncluirPrecAloj:checked').val()
                + "&ord=" + $('input[name=rbLLOrden]:checked').val()
                + "&m=" + $('input[name=rbLLPor]:checked').val(), "_blank");
        }

        function Salidas() {
            window.open("Informe.aspx?r=231&s=" + $('#txtLLSDesde').val()
                + "&f=" + $('#txtLLSHasta').val()
                + "&n=" + $('#cbNacionalidad').val()
                + "&t=" + $('#cbContrato').val()
                + "&v=" + $('#cbVueloSal').val()
                + "&p=" + $('#cbPiso').val()
                + "&g=" + $('#cbGrupo').val()
                + "&q=" + $('#txtLLSReferencia').val()
                + "&k=" + $('#cbLLSCardex:checked').val()
                + "&i=" + $('#cbLSIncluirInfoRese:checked').val()
                + "&ord=" + $('input[name=rbLSOrden]:checked').val()
                + "&m=" + $('input[name=rbLSHabitaciones]:checked').val(), "_blank");
        }

        function SalidasEtiquetas() {
            window.open("Informe.aspx?r=232&m=" + $('input[name=rbLSHabitaciones]:checked').val()
                + "&s=" + $('#txtLLSDesde').val()
                + "&f=" + $('#txtLLSHasta').val(), "_blank");
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 3);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#LLSTabs').tabs();

            SelectList();

        });
    </script>

    <% }
        catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
    { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M4';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="ListadosLlegadasSalidas.aspx"><%=L.TIT("ListadosLlegadasSalidas") %> [3.3]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 580px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ListadosLlegadasSalidas") %> [3.3]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/3-3-listado-de-llegadas-y-salidas/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <table style="width: 100%; font-size: 10pt;">
                    <tr>
                        <td style="width: 50%;"></td>
                        <td>
                            <fieldset style="width: 150px;">
                                <table>
                                    <tr>
                                        <td>
                                            <b><%=L.LBL("LblFDKLLSPrevisionDe") %>:</b>
                                        </td>
                                        <td>
                                            <input type="radio" name="rbSalidas" value="0" onclick="SelectList();" checked="checked" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENLlegadas") %>
                                        </td>
                                        <td>
                                            <input type="radio" name="rbSalidas" value="1" onclick="SelectList();" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENSalidas") %>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                        <td style="width: 50%;"></td>
                    </tr>
                </table>

                <br />

                <fieldset style="width: 100%;">
                    <legend><b><%=L.LBL("LblGENCriteriosSeleccion") %></b></legend>

                    <table style="width: 100%;">
                        <tr>
                            <td>
                                <%=L.LBL("LblGENStart") %>
                            </td>
                            <td>
                                <%=L.LBL("LblGENEnd") %>
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSEXNacionalidad") %>
                            </td>
                            <td>
                                <%=L.LBL("LblGENTarifa") %>
                            </td>
                            <td>
                                <%=L.LBL("LblFDKVueloEnt") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="text" id="txtLLSDesde" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha" style="width: 100px;" />
                            </td>
                            <td>
                                <input type="text" id="txtLLSHasta" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha" style="width: 100px;" />
                            </td>
                            <td>
                                <%=cbNacionalidad %>
                            </td>
                            <td>
                                <select name="cbContrato" id="cbContrato" onchange="" style="width: 100px;">
                                    <option value="0" selected="selected"><%=L.LBL("LblGENAll") %></option>
                                    <%
                                        foreach (System.Data.DataRow dr in Contratos.Rows)
                                        {
                                            Response.Write(Utils.GetSelectOption(dr["id_cont"].ToString(), dr["contrato"].ToString().Trim() + " - " + dr["desc_cont"].ToString().Trim(), false));
                                        }
                                    %>
                                </select>
                            </td>
                            <td>
                                <%=cbVueloEnt %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblFDKPiso") %>
                            </td>
                            <td>
                                <%=L.LBL("LblGENGroup") %>
                            </td>
                            <td>
                                <%=L.LBL("LblGENReference") %>
                            </td>
                            <td></td>
                            <td>
                                <%=L.LBL("LblFDKVueloSal") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=cbPiso %>
                            </td>
                            <td>
                                <%=cbGrupo %>
                            </td>
                            <td>
                                <input type="text" id="txtLLSReferencia" value="" style="width: 100px;" />
                            </td>
                            <td>
                                <input type="checkbox" id="cbLLSCardex" value="1" />
                                <%=L.LBL("LblFDKPerfil") %>
                            </td>
                            <td>
                                <%=cbVueloSal %>
                            </td>
                        </tr>
                    </table>

                </fieldset>

                <br />

                <div id="LLSTabs" style="padding: 0px; width: 600px;">
                    <ul>
                        <li>
                            <a href="#Lleg">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/FDK/Vuelos.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblGENLlegadas") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#Sal">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/home--arrow.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblGENSalidas") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                    </ul>

                    <div id="Lleg" style="height: 340px;">

                        <br />

                        <table>
                            <tr>
                                <td rowspan="2" style="width: 50%;"></td>
                                <td colspan="2">
                                    <input type="checkbox" id="cbLLTodosNombres" value="1" checked="checked" /><%=L.LBL("LblFDKLLSTodosNombres") %><br />
                                    <input type="checkbox" id="cbLLIncluirClieNoHabi" value="1" checked="checked" /><%=L.LBL("LblFDKLLSIncluirClieNoHabi") %><br />
                                    <input type="checkbox" id="cbLLIncluirPrecAloj" value="1" checked="checked" /><%=L.LBL("LblFDKLLSIncluirPrecAloj") %><br />
                                    <br />
                                </td>
                                <td rowspan="2" style="width: 50%;"></td>
                            </tr>
                            <tr>
                                <td>
                                    <fieldset>
                                        <legend><%=L.LBL("LblFDKLLSLlegadasPor") %></legend>
                                        <input type="radio" name="rbLLPor" value="0" checked="checked" onclick="SelectList();" /><%=L.LBL("LblFDKReservas") %><br />
                                        <input type="radio" name="rbLLPor" value="1" onclick="SelectList();" /><%=L.LBL("LblFDKESRERooming") %><br />
                                        <input type="radio" name="rbLLPor" value="2" onclick="SelectList();" /><%=L.LBL("LblFDKReservas") %>/<%=L.LBL("LblFDKESRERooming") %>
                                    </fieldset>
                                </td>
                                <td>
                                    <fieldset>
                                        <legend><%=L.LBL("LblGENOrderBy") %></legend>
                                        <input type="radio" name="rbLLOrden" value="0" checked="checked" /><%=L.LBL("LblGENTarifa") %>/<%=L.LBL("LblGENName") %><br />
                                        <input type="radio" name="rbLLOrden" value="1" /><%=L.LBL("LblGENName") %>/<%=L.LBL("LblGENTarifa") %><br />
                                        <input type="radio" name="rbLLOrden" value="2" /><%=L.LBL("LblGENTarifa") %>/<%=L.LBL("LblFDKSFechaSalida") %><br />
                                        <input type="radio" name="rbLLOrden" value="3" /><%=L.LBL("LblGENTarifa") %>/<%=L.LBL("LblFDKVueloEnt") %>/<%=L.LBL("LblFDKSFechaSalida") %><br />
                                        <input type="radio" name="rbLLOrden" value="4" /><%=L.LBL("LblFDKNroReserva") %>/<%=L.LBL("LblFDKNroRooming") %><br />
                                        <input type="radio" name="rbLLOrden" value="5" /><%=L.LBL("LblGENRoom") %>/<%=L.LBL("LblGENTarifa") %>/<%=L.LBL("LblGENName") %><br />
                                        <input type="radio" name="rbLLOrden" value="6" /><%=L.LBL("LblGENUsoHab") %>
                                    </fieldset>
                                </td>
                            </tr>
                        </table>

                        <br />

                        <table style="width: 85%;">
                            <tr>
                                <td colspan="4">
                                    <table style="width: 100%;">
                                        <tr>
                                            <td style="width: 100%;"></td>
                                            <td>
                                                <button type="button" id="btnRepLL" onclick="Llegadas();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/printer.png" alt="<%=L.LBL("LblGENReporte") %>" /></td>
                                                            <td><%=L.LBL("LblGENReporte") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>

                    </div>

                    <div id="Sal" style="height: 340px;">

                        <br />
                        <br />
                        <br />

                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 50%;"></td>
                                <td>
                                    <table>
                                        <tr>
                                            <td>
                                                <input type="radio" name="rbLSHabitaciones" value="0" onclick="SelectList();" checked="checked" />
                                            </td>
                                            <td>
                                                <%=L.LBL("LblGENClientes") %>
                                            </td>
                                            <td>
                                                <input type="radio" name="rbLSHabitaciones" value="1" onclick="SelectList();" />
                                            </td>
                                            <td>
                                                <%=L.LBL("LblFDKHabitaciones") %>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td style="width: 50%;"></td>
                            </tr>
                        </table>

                        <br />

                        <table>
                            <tr>
                                <td rowspan="2" style="width: 50%;"></td>
                                <td>
                                    <input type="checkbox" id="cbLSIncluirInfoRese" value="1" /><%=L.LBL("LblFDKLLSIncluirInfoRese") %><br />
                                    <br />
                                </td>
                                <td rowspan="2" style="width: 50%;"></td>
                            </tr>
                            <tr>
                                <td>
                                    <fieldset>
                                        <legend><%=L.LBL("LblGENOrderBy") %></legend>
                                        <table>
                                            <tr>
                                                <td>
                                                    <input type="radio" name="rbLSOrden" value="0" checked="checked" /><%=L.LBL("LblGENRoom") %><br />
                                                    <input type="radio" name="rbLSOrden" value="1" /><%=L.LBL("LblGENTarifa") %>/<%=L.LBL("LblGENRoom") %><br />
                                                    <input type="radio" name="rbLSOrden" value="2" /><%=L.LBL("LblGENTarifa") %>/<%=L.LBL("LblFDKVueloSal") %><br />
                                                </td>
                                                <td>
                                                    <input type="radio" name="rbLSOrden" value="3" /><%=L.LBL("LblGENName") %>/<%=L.LBL("LblGENTarifa") %><br />
                                                    <input type="radio" name="rbLSOrden" value="4" /><%=L.LBL("LblGENTarifa") %>/<%=L.LBL("LblGENName") %><br />
                                                    <input type="radio" name="rbLSOrden" value="5" /><%=L.LBL("LblFDKVueloSal") %>/<%=L.LBL("LblGENName") %><br />
                                                </td>
                                            </tr>
                                        </table>
                                    </fieldset>
                                </td>
                            </tr>
                        </table>

                        <br />

                        <table style="width: 77%;">
                            <tr>
                                <td colspan="4">
                                    <table style="width: 100%;">
                                        <tr>
                                            <td style="width: 100%;"></td>
                                            <td>
                                                <button type="button" id="btnRepLSEtiq" onclick="SalidasEtiquetas();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/tags-label.png" alt="<%=L.LBL("LblFDKLLSImprEtiquetasSalida") %>" /></td>
                                                            <td><%=L.LBL("LblFDKLLSImprEtiquetasSalida") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnRepLS" onclick="Salidas();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/printer.png" alt="<%=L.LBL("LblGENReporte") %>" /></td>
                                                            <td><%=L.LBL("LblGENReporte") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>

                    </div>

                </div>

            </div>

        </div>

    </div>

    <% }
        catch { } %>
</asp:Content>

