﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="ReservasRealizadas.aspx.cs" Inherits="Seven.Front.ReservasRealizadas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <title><%=L.TIT("ReservasRealizadas") %></title>

    <script type="text/javascript">

        function Ver()
        {
            window.open('Informe.aspx?r=370&y=' + $('#txtAno').val(), "_blank");
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#SevenMenu").accordion("option", "active", 4);

            $("#EnlaceMaestro").focus();

        });

    </script>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M5';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="../Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="../img/arrow.png" alt="" />
                    <a href="#"><%=L.TIT("ReservasRealizadas") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>

    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 400px; height: 200px;">

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="HiddenHive">
                </div>

                <br />

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ReservasRealizadas") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/4-9-estad%C3%ADsticas-de-explotacion/', '_blank');" id="A1">
                                                <img src="../img/question.png" />
                                                <%=L.LBL("LblGENHelp") %>
                                            </a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <br />

                <table style="width: 100%;">
                    <tr>
                        <td><%=L.LBL("LblGENAno") %>: </td>
                        <td>
                            <input type="text" id="txtAno" name="txtAno" value="<%=FrontAno %>" />
                        </td>
                        <td>
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" onclick="Ver();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/magnifier.png" alt="<%=L.LBL("LblGENVer") %>" /></td>
                                                    <td><%=L.LBL("LblGENVer") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <br />

                <table class="SevenMsgExito" style="width: 100%; font-size: 10pt; white-space: normal; text-align: justify;">
                    <tr>
                        <td style="text-align: justify;">
                            <%=L.REP("REROINFO1") %>
                        </td>
                    </tr>
                </table>
            </div>

        </div>

    </div>

</asp:Content>
