﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="AuditoriaNocturna.aspx.cs" Inherits="Seven.Front.AuditoriaNocturna" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <link rel="stylesheet" type="text/css" href="css/countdown/jquery.countdown.css" />
    <script src="js/countdown/jquery.plugin.js" type="text/javascript"></script>
    <script src="js/countdown/jquery.countdown.js" type="text/javascript"></script>

    <title><%=L.TIT("AuditoriaNocturna") %> [6.2]</title>

    <script type="text/javascript">

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* Código del jqGrid para Estadísticas Manuales */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetEM() {
            $.ajax({
                url: 'Servicio.svc/GetCIEREstadisticasManuales',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgEM").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgEM")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgEM").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutEM(id, desc_noex, tipo_fijo, valor_fijo, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/PutCIEREstadisticasManuales',
                data: {
                    "id_noex": id, "valor_fijo": valor_fijo
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        if (eli == 1) {
                            $('#IdSubElementEM').val(0);
                            BotonDefaultEM();
                            RefreshGridEM();
                        }
                        else {
                            if (id > 0 || id < 0) {
                                BotonDefaultEM();
                                RefreshGridEM();
                            }
                            else {
                                $('#IdSubElementEM').val(res);
                                BotonDefaultEM();
                                RefreshGridEM();
                            }
                        }
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridEM() {

            var lselEM;
            var colMap = {};
            $("#jqgEM").jqGrid({
                datatype: 'local',
                height: 240,
                width: 520,
                colNames: ['', '<%=L.LBL("LblGENName") %>', '', '<%=L.LBL("LblGENValor") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'desc_noex', index: 'desc_noex', width: 10, editable: false, searchoptions: { sopt: ListFindT } },
                            { name: 'tipo_fijo', index: 'tipo_fijo', width: 10, search: false, hidden: true },
                            { name: 'valor_fijo', index: 'valor_fijo', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'right' },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselEM) && !isNaN(id)) {
                            $("#jqgEM").jqGrid('delRowData', lselEM);
                            //$('#jqgEM').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgEM').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgEM").jqGrid('getRowData', id);

                            $('#jqgEM').jqGrid('restoreRow', lselEM);

                            $('#IdSubElementEM').val(ret.Id);
                        }
                        else {
                            BotonNuevoEM();
                        }

                        $('#jqgEM').jqGrid('editRow', id, true, EventsEM);

                        lselEM = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselEM)) {
                            $("#jqgEM").jqGrid('delRowData', lselEM);
                            $('#jqgEM').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgEM').jqGrid('saveRow', lselEM);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgEM').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgEM").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextEM').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconEM').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextEM').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconEM').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgEM').jqGrid('setSelection', id); 

                        BotonSelectEM();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgEM").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        //if (i == 0 && parseInt($('#IdSubElementEM').val()) == 0) {
                        //    $('#IdSubElementEM').val($("#jqgEM").getCell(rows[i], "Id"));
                        //}
                        var status = $("#jqgEM").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgEM").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgEM').jqGrid('setSelection', $('#IdSubElementEM').val());
                    if (parseInt($('#IdSubElementEM').val()) != 0) {
                        BotonSelectEM();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgEM").jqGrid('navGrid','#PaginadorEM',{del:false,add:false,edit:false,search:false});
            $("#bsdataEM").click(function () {
                jQuery("#jqgEM").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsEM(id) {
            $("#" + id + "_desc_noex").on('input', function () { BotonGuardarEM(); });
            $("#" + id + "_tipo_fijo").on('change', function () { BotonGuardarEM(); });
            $("#" + id + "_valor_fijo").on('input', function () { BotonGuardarEM(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarEM(); });
        }

        function EventsNewEM() {
            var selr = jQuery('#jqgEM').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_desc_noex").on('input', function () { BotonGuardarEM(); });
            $("#" + selr + "_tipo_fijo").on('change', function () { BotonGuardarEM(); });
            $("#" + selr + "_valor_fijo").on('input', function () { BotonGuardarEM(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarEM(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridEM() {
            $("#jqgEM").jqGrid("setGridParam", { datatype: "json", datatype: GetEM, loadonce: true });
            $("#jqgEM").trigger("reloadGrid");
            $("#jqgEM").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveEM() {
            var id = $("#jqgEM").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutEM(id, $('#' + id + '_desc_noex').val(), $('#' + id + '_tipo_fijo').val(), $('#' + id + '_valor_fijo').val(), $('#' + id + '_eliminado').val(), 0);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelEM() {
            var id = $("#jqgEM").jqGrid('getGridParam', 'selrow');
            if (id) {
                $('#jqgEM').restoreRow(id);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultEM();
        }

        function BotonDefaultEM() {
            $('#btnGuardarEM').button('disable');
            $('#btnCancelarEM').button('disable');
        }

        function BotonNuevoEM() {
            $('#btnGuardarEM').button('disable');
            $('#btnCancelarEM').button('enable');
        }

        function BotonSelectEM() {
            $('#btnGuardarEM').button('disable');
            $('#btnCancelarEM').button('disable');
        }

        function BotonGuardarEM() {
            $('#btnGuardarEM').button('enable');
            $('#btnCancelarEM').button('enable');
        }

        <% /* Código del jqGrid para Opciones del Cierre */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetOP() {
            $.ajax({
                url: 'Servicio.svc/GetCIEROpcionesCierre',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgOP").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgOP")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgOP").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridOP() {

            var lselOP;
            var colMap = {};
            $("#jqgOP").jqGrid({
                datatype: 'local',
                height: 270,
                width: 200,
                colNames: ['', '', '', '', '<%=L.LBL("LblGENOpciones") %>', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'codigo_opc', index: 'codigo_opc', width: 10, search: false, hidden: true },
                            { name: 'activa', index: 'activa', width: 10, editable: true, search: false, hidden: true },
                            { name: 'obligatoria', index: 'obligatoria', width: 10, editable: true, search: false, hidden: true },
                            { name: 'desc_opc', index: 'desc_opc', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'orden_ejec', index: 'orden_ejec', width: 10, editable: true, search: false, hidden: true },
                            { name: 'sistema', index: 'sistema', width: 10, editable: true, search: false, hidden: true },
                            { name: 'reporte', index: 'reporte', width: 10, editable: true, search: false, hidden: true },
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselOP) && !isNaN(id)) {
                            $("#jqgOP").jqGrid('delRowData', lselOP);
                            //$('#jqgOP').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgOP').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgOP").jqGrid('getRowData', id);

                            $('#jqgOP').jqGrid('restoreRow', lselOP);

                            $('#IdSubElementOP').val(ret.Id);
                        }

                        lselOP = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselOP)) {
                            $("#jqgOP").jqGrid('delRowData', lselOP);
                            $('#jqgOP').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgOP').jqGrid('saveRow', lselOP);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgOP').jqGrid('restoreRow', id);
                        }
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgOP").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        
                        var status = $("#jqgOP").getCell(rows[i], "Eli");
                        var reporte = $("#jqgOP").getCell(rows[i], "reporte");
                        var activa = $("#jqgOP").getCell(rows[i], "activa");
                        var sistema = $("#jqgOP").getCell(rows[i], "sistema");

                        if (status == "True") {
                            $("#jqgOP").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }

                        if (reporte == "False") {
                            $("#jqgOP").jqGrid('setRowData', rows[i], false, 'sysRow');
                        }

                        if (activa == "False") {
                            $("#jqgOP").jqGrid('setRowData', rows[i], false,
                            { color: 'gray', font: 'italic' });
                        }

                    }
                    $('#jqgOP').jqGrid('setSelection', $('#IdSubElementOP').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridOP() {
            $("#jqgOP").jqGrid("setGridParam", { datatype: "json", datatype: GetOP, loadonce: true });
            $("#jqgOP").trigger("reloadGrid");
            $("#jqgOP").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Código del jqGrid para Descuentos Generales - Habitaciones */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetDH() {
            $.ajax({
                url: 'Servicio.svc/GetCIERDescuentoHabitaciones',
                data: {
                    "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgDH").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgDH")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgDH").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function LoadGridDH() {

            var lselDH;
            var colMap = {};
            $("#jqgDH").jqGrid({
                datatype: 'local',
                height: 240,
                width: 200,
                colNames: ['', '<%=L.LBL("LblGENRoom") %>', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'habitacion', index: 'habitacion', width: 10, search: false },
                            { name: 'grupo', index: 'grupo', width: 10, search: false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselDH) && !isNaN(id)) {
                            $("#jqgDH").jqGrid('delRowData', lselDH);
                            //$('#jqgDH').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgDH').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgDH").jqGrid('getRowData', id);

                            $('#jqgDH').jqGrid('restoreRow', lselDH);

                            $('#IdSubElementDH').val(ret.Id);
                        }

                        lselDH = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselDH)) {
                            $("#jqgDH").jqGrid('delRowData', lselDH);
                            $('#jqgDH').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgDH').jqGrid('saveRow', lselDH);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgDH').jqGrid('restoreRow', id);
                        }
                    }
                },
                //gridComplete: function () {
                //    var rows = $("#jqgDH").getDataIDs();
                //    for (var i = 0; i < rows.length; i++) {
                //    }
                //},
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                multiselect: true
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridDH() {
            $("#jqgDH").jqGrid("setGridParam", { datatype: "json", datatype: GetDH, loadonce: true });
            $("#jqgDH").trigger("reloadGrid");
            $("#jqgDH").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        function UpdateDescLabel()
        {
            var m = parseInt($('input[name=rbModo]:checked').val());
            if (m == 0)
            {
                $('#txtModo').html("%&nbsp;&nbsp;&nbsp;&nbsp;");
            }
            else
            {
                $('#txtModo').html("<%=cod_mone_base %>");
            }
        }

        function CIER() {
            $.ajax({
                url: 'Servicio.svc/CIERAuditoriaNocturna',
                data: {
                    "desc_auto": $("#cbDescAuto:checked").val(), "desc_habi": $("#jqgDH").jqGrid('getGridParam', 'selarrrow').toString()
                    , "abon_id_con0": $("#cbAbono").val(), "desc_modo": $("input[name=rbModo]:checked").val(), "desc_valor": $("#txtValor").val()
                    , "s": <%=cier_seguidos %>, "p" : <% if(cier_seguidos > 0){ %>$('#txtPASSCIER').val()<% } else { %>""<% } %>
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    AbrirDialogoEjecucion();
                },
                success: function (json) {
                    $('#RunTime').countdown('pause');
                    $('#HidCIER').html(json.d);
                    var res = parseInt($('#HidCIEREstado').val());
                    if (!isNaN(res)) {
                        $('#txtFecHoteleraNueva').html($('#HidCIERFecha').val());
                        $('#dlgExito').dialog('open');
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                        $('#dlgEjecutando').dialog('close');
                        $('#RunTime').countdown('destroy');
                    }
                }
            });
        }

        function AbrirDialogoEjecucion()
        {
            $('#RunTime').countdown({
                since: new Date(), compact: true,
                format: 'HMS', description: ''
            });
            $('#dlgEjecutando').dialog('open');
        }

        function AbrirDialogoCIER()
        {
            var hp = parseInt($('#HayPreaud').val());
            if (hp == 1) {
                $('#dlgConfirmar').dialog('open');
            }
            else
            {
                $('#dlgConfirmarNoPreaud').dialog('open');
            }
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgConfirmar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: <%=cier_seguidos > 0 ? 250 : 200 %>,
                width: 400,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENEjecutar") %>": function () {
                        CIER();
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $("#dlgConfirmar").dialog('close');
                    },
                },
            });

            $("#dlgConfirmarNoPreaud").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 400,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENEjecutar") %>": function () {
                        $("#dlgConfirmarNoPreaud").dialog('close');
                        $('#dlgConfirmar').dialog('open');
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $("#dlgConfirmarNoPreaud").dialog('close');
                    },
                },
            });

            $("#dlgExito").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 300,
                width: 450,
                modal: true,
                closeOnEscape: false,
                dialogClass: 'no-close',
                buttons: {
                    "<%=L.LBL("LblFDKCIERRepCierre") %>": function () {
                        window.location.href="AuditoriasDiasAnteriores.aspx";
                    }
                },
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgEjecutando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 270,
                width: 400,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#SevenMenu").accordion("option", "active", 6);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#AuditoriaTabs').tabs();

            $('#Loader').css('height', '0px');

            LoadGridEM();
            LoadGridOP();
            LoadGridDH();

            BotonDefaultEM();

            RefreshGridEM();
            RefreshGridOP();
            RefreshGridDH();

        });
    </script>

    <style type="text/css">
        .sysRow td 
        {
            background-color: #EDEDED; 
            font-weight: bold;
        }
    </style>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M7';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="AuditoriaNocturna.aspx"><%=L.TIT("AuditoriaNocturna") %> [6.2]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 550px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgConfirmar" title="<%=L.TIT("AuditoriaNocturna") %>" style="text-align: center; padding-top: 25px">
                    <%=L.MSG("CIER_CONFIRMAR") %>
                    <% if(cier_seguidos > 0){ %>
                    <br /><br />
                    <b><%=L.LBL("LblPASSCIER") %>:</b>
                    <input type="password" id="txtPASSCIER" value="" />
                    <% } %>
                </div>

                <div id="dlgConfirmarNoPreaud" title="<%=L.TIT("AuditoriaNocturna") %>" style="text-align: center; padding-top: 25px">
                    <%=L.MSG("CIER_CONFIRMAR_NO_PREAUD") %>
                </div>

                <div id="dlgExito" title="<%=L.LBL("LblGENExito") %>" style="text-align: center; padding-top: 25px">
                    <b><%=L.LBL("LblGENMSG_DeletedData") %></b><br /><br />
                    <span style="font-size: 12pt; color: teal;"><%=L.MSG("CIER_NUEVA_FECHA") %>:</span><br /><br />
                    <span id="txtFecHoteleraNueva" style="font-size: 14pt; font-weight: bold; color: purple;">
                        <%=string.Format("{0:D}", gen.fecha_hotelera) %>
                    </span><br /><br />
                    <%=L.MSG("CIER_CONTINUAR")%>
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgEjecutando" title="<%=L.LBL("LblFDKCIEREjecutando") %>" style="text-align: center; padding-top: 25px">
                    <table>
                        <tr>
                            <td colspan="2">
                                <%=L.MSG("CIEREjecucion") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <img src="img/cargando2.gif" alt="<%=L.LBL("LblFDKCIEREjecutando") %>" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: left;">
                                <b><%=L.LBL("LblGENTiempoTranscurrido") %>:</b>
                            </td>
                            <td>
                                <div id="RunTime"></div>
                            </td>
                        </tr>
                    </table>
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("AuditoriaNocturna") %> [6.2]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/6-2-auditoria/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <div id="HiddenHive">
                    <div id="HidCIER"></div>
                </div>

                <fieldset>

                    <table style="width: 100%;">
                        <tr>
                            <td>
                                <%=L.GEN("LblFDKSFechaHotelera") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFechaHotelera" value="<%=string.Format("{0:d}", gen.fecha_hotelera) %>" style="width: 80px;" disabled="disabled" />
                            </td>
                            <td>
                                <%=L.GEN("LblFDKNroCierre") %>:
                            </td>
                            <td>
                                <input type="text" id="txtNroCierre" value="<%=string.Format("{0:d}", gen.consec_cierre + 1) %>"
                                    style="width: 80px; font-weight: bold; color: maroon; text-align: right;" disabled="disabled" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4" style="font-weight: bold; font-style: italic; font-size: 12pt; color: purple;">
                                <%=string.Format("{0:D}", gen.fecha_hotelera) %>
                            </td>
                        </tr>
                    </table>

                </fieldset>

                <br />

                <table style="font-size: 11pt;">
                    <tr>
                        <td>
                            <b><%=L.LBL("LblFDKAUDUltimaPreaud") %></b>:
                        </td>
                        <td>
                            <input type="hidden" id="HayPreaud" value="<%=ultima_preaud.Year == 1900 ? 0 : 1 %>" />
                            <%=ultima_preaud.Year == 1900 ? L.LBL("LblGENNone") : string.Format("{0:D}", ultima_preaud) + " " + string.Format("{0:HH:mm:ss}", ultima_preaud) %>
                        </td>
                    </tr>
                </table>

                <br />

                <div id="AuditoriaTabs" style="padding: 0px;">
                    <ul>
                        <li>
                            <a href="#Estad">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/Estadisticas.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblFDKAUDEstadManual") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#Param">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/gear.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblFDKAUDParamConfig") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#Desc">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/DocCalculadora.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblFDKAUDDescGen") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                    </ul>

                    <div id="Estad" style="height: 300px;">

                        <input type="hidden" id="IdSubElementEM" value="0" />
                        <table id="jqgEM"></table>

                        <table style="width: 100%;">
                            <tr>
                                <td colspan="4">
                                    <table style="width: 100%;">
                                        <tr>
                                            <td style="width: 100%;"></td>
                                            <td>
                                                <button type="button" id="btnGuardarEM" onclick="SaveEM();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblGENSave") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnCancelarEM" onclick="CancelEM();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                            <td><%=L.LBL("LblGENCancel") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>

                    </div>

                    <div id="Param" style="height: 300px;">

                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 100%;">
                                    <table>
                                        <tr>
                                            <td>
                                                <%=L.GEN("LblFDKSFechaUltCierre") %>:
                                            </td>
                                            <td>
                                                <input type="text" id="txtCIERUltDia" value="<%=string.Format("{0:d}", gen.fecha_ult_cierre) %>"
                                                    disabled="disabled" style="width: 80px;" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <%=L.LBL("LblFDKAUDUltimaPreaud") %>:
                                            </td>
                                            <td>
                                                <input type="text" id="txtCIERUltPreaud" value="<%=ultima_preaud.Year == 1900 ? L.LBL("LblGENNone") : string.Format("{0:HH:mm:ss}", ultima_preaud) %>"
                                                    disabled="disabled" style="width: 70px;"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <%=L.GEN("LblFDKSDiasListaCierre") %>:
                                            </td>
                                            <td>
                                                <input type="text" id="txtCIERDiasCierres" value="<%=string.Format("{0:d}", gen.dias_cierre) %>"
                                                    disabled="disabled" style="width: 50px;" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <%=L.GEN("LblFDKSContabDiariaImp") %>:
                                            </td>
                                            <td>
                                                <input type="checkbox" id="cbCIERCalcImpu" value="1" <%=gen.impu_diario ? "checked=\"checked\"" : "" %> disabled="disabled" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <%=L.GEN("LblFDKSProdFactAgen1Dia") %>:
                                            </td>
                                            <td>
                                                <input type="checkbox" id="cbCIERProdFACA" value="1" <%=gen.prod_fag_1dia ? "checked=\"checked\"" : "" %> disabled="disabled" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <%=L.GEN("LblFDKSCobrarDepAdelNoShow") %>:
                                            </td>
                                            <td>
                                                <input type="checkbox" id="cbCIERCobDepoNoShow" value="1" <%=gen.dega_nu_show ? "checked=\"checked\"" : "" %> disabled="disabled" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <%=L.GEN("LblFDKSCobrarDepAdelCaduco") %>:
                                            </td>
                                            <td>
                                                <input type="checkbox" id="cbCIERCobDepoVenc" value="1" <%=gen.dega_caduco ? "checked=\"checked\"" : "" %> disabled="disabled" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <%=L.GEN("LblFDKSLibroContableFront") %>:
                                            </td>
                                            <td>
                                                <input type="text" id="txtCIERLibroFDK" value="<%=gen.libro %>"
                                                    disabled="disabled" style="width: 50px;" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <%=L.GEN("LblFDKSAsieTipoAutomatico") %>:
                                            </td>
                                            <td>
                                                <input type="checkbox" id="cbCIERAsientosAut" value="1" <%=gen.asto_automatico ? "checked=\"checked\"" : "" %> disabled="disabled" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <%=L.GEN("LblFDKSIntegAutAsie") %>:
                                            </td>
                                            <td>
                                                <input type="checkbox" id="cbCIERAsientosInte" value="1" <%=gen.integra_asiento ? "checked=\"checked\"" : "" %> disabled="disabled" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <%=L.LBL("LblFDKAUDAsientosDet") %>:
                                            </td>
                                            <td>
                                                <input type="checkbox" id="cbCIERAsientosDet" value="1" <%=gen.mantenimiento ? "checked=\"checked\"" : "" %> disabled="disabled" />
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td>
                                    <input type="hidden" id="IdSubElementOP" value="0" />
                                    <table id="jqgOP"></table>
                                </td>
                            </tr>
                        </table>

                    </div>

                    <div id="Desc" style="height: 300px;">

                        <table>
                            <tr>
                                <td>
                                    <%=L.LBL("LblFDKAUDHabiDirectos") %>

                                    <br />
                                    <br />

                                    <input type="hidden" id="IdSubElementDH" value="0" />
                                    <table id="jqgDH"></table>
                                </td>
                                <td style="width: 20px;"></td>
                                <td>
                                    <table>
                                        <tr>
                                            <td>
                                                <input type="checkbox" id="cbDescAuto" value="1" />
                                                <b><%=L.LBL("LblFDKCIERAplicarDescuentos") %></b><br /><br />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <%=L.LBL("LblFDKAUDConcAbon") %>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <%=cbAbono %>
                                            </td>
                                        </tr>
                                    </table>

                                    <br />

                                    <fieldset>
                                        <table>
                                            <tr>
                                                <td style="width: 150px;">
                                                    <input type="radio" name="rbModo" value="0" checked="checked" onclick="UpdateDescLabel();" /><%=L.LBL("LblGENPercent") %><br />
                                                    <input type="radio" name="rbModo" value="1" onclick="UpdateDescLabel();" /><%=L.LBL("LblGENImporte") %>
                                                </td>
                                                <td>
                                                    <input type="text" id="txtValor" value="<%=string.Format("{0:N2}", 0) %>" style="width: 80px; text-align: right;" />
                                                    <span id="txtModo">%&nbsp;&nbsp;&nbsp;&nbsp;</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </fieldset>


                                </td>
                            </tr>
                        </table>

                    </div>

                </div>

                <br />

                <% if(cier_seguidos > 0){ %>

                <p class="SevenMsgError"><b style="font-size: 11pt; color: red;"><%=L.MSG("CIER_SEGUIDOS") %></b></p>

                <% } %>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="btnCIER" onclick="AbrirDialogoCIER();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/lightning.png" alt="<%=L.LBL("LblGENEjecutar") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENEjecutar") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarCIER" >
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                    <td><%=L.LBL("LblGENCancel") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

