﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="ModificacionesHabitacionesClientes.aspx.cs" Inherits="Seven.Front.ModificacionesHabitacionesClientes" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("ModificacionesHabitacionesClientes") %> [7.6]</title>

    <script type="text/javascript">

        function CheckCHC() {

            var Modo = parseInt($('input[name=rbModo]:checked').val());

            if (Modo < 2)
            {
                $('#cbFil_nombre').prop('checked', false);
                $('#cbFil_nombre').prop('disabled', true);
                $('#txtFil_nombre').prop('disabled', true);

                $('#cbFil_id_dcto').prop('disabled', false);
                $('#cbDescuento').prop('disabled', false);

                $('#cbFil_id_cont').prop('disabled', false);
                $('#cbContrato').prop('disabled', false);
            }
            else
            {
                $('#cbFil_nombre').prop('disabled', false);
                $('#txtFil_nombre').prop('disabled', false);

                $('#cbFil_id_dcto').prop('checked', false);
                $('#cbFil_id_dcto').prop('disabled', true);
                $('#cbDescuento').prop('disabled', true);

                $('#cbFil_id_cont').prop('checked', false);
                $('#cbFil_id_cont').prop('disabled', true);
                $('#cbContrato').prop('disabled', true);
            }

            if (Modo == 1)
            {
                $('#cbFil_credito').prop('disabled', false);
                $('input[name=rbCredito]').prop('disabled', false);

                $('#cbFil_id_ralo').prop('disabled', false);
                $('#cbRegAloj').prop('disabled', false);

                $('#cbFil_id_dcto').prop('disabled', false);
                $('#cbDescuento').prop('disabled', false);

                $('#cbFil_id_mone').prop('disabled', false);
                $('#cbMoneda').prop('disabled', false);
            }
            else
            {
                $('#cbFil_credito').prop('checked', false);
                $('#cbFil_credito').prop('disabled', true);
                $('input[name=rbCredito]').prop('disabled', true);

                $('#cbFil_id_ralo').prop('checked', false);
                $('#cbFil_id_ralo').prop('disabled', true);
                $('#cbRegAloj').prop('disabled', true);

                $('#cbFil_id_dcto').prop('checked', false);
                $('#cbFil_id_dcto').prop('disabled', true);
                $('#cbDescuento').prop('disabled', true);

                $('#cbFil_id_mone').prop('checked', false);
                $('#cbFil_id_mone').prop('disabled', true);
                $('#cbMoneda').prop('disabled', true);
            }

        }

        function ListadoCHC() {
            window.open("Informe.aspx?r=750"
                + "&m=" + $("input[name=rbModo]:checked").val()
                + "&ffc=" + $("input[name=cbFil_fecha_cambio]:checked").val()
                + "&vfc=" + $('#txtFil_fecha_cambio').val() + "&vfc2=" + $('#txtFil_fecha_cambio2').val()
                + "&fh=" + $("input[name=cbFil_id_habi]:checked").val()
                + "&vh=" + $('#cbHabitacion').val() + "&vh2=" + $('#cbHabitacionRev').val()
                + "&ffe=" + $("input[name=cbFil_fecha_ent]:checked").val()
                + "&vfe=" + $('#txtFil_fecha_ent').val() + "&vfe2=" + $('#txtFil_fecha_ent2').val()
                + "&ffs=" + $("input[name=cbFil_fecha_sal]:checked").val()
                + "&vfs=" + $('#txtFil_fecha_sal').val() + "&vfs2=" + $('#txtFil_fecha_sal2').val()
                + "&ft=" + $("input[name=cbFil_id_cont]:checked").val() + "&vt=" + $('#cbContrato').val()
                + "&fn=" + $("input[name=cbFil_nombre]:checked").val() + "&vn=" + $('#txtFil_nombre').val()
                + "&fr=" + $("input[name=cbFil_id_ralo]:checked").val() + "&vr=" + $('#cbRegAloj').val()
                + "&fd=" + $("input[name=cbFil_id_dcto]:checked").val() + "&vd=" + $('#cbDescuento').val()
                + "&fm=" + $("input[name=cbFil_id_mone]:checked").val() + "&vm=" + $('#cbMoneda').val()
                + "&fo=" + $("input[name=cbFil_id_oper]:checked").val() + "&vo=" + $('#cbOperador').val()
                + "&fcr=" + $("input[name=cbFil_credito]:checked").val() + "&vcr=" + $('#input[name=rbCredito]:checked').val()
                , "_blank");
        }


    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 7);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            CheckCHC();

        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M8';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="ModificacionesHabitacionesClientes.aspx"><%=L.TIT("ModificacionesHabitacionesClientes") %> [7.6]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 500px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ModificacionesHabitacionesClientes") %> [7.6]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ListadoCHC();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/7-6-modificaciones-a-habit-clientes/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <fieldset>
                    <table style="width: 100%;">
                        <tr>
                            <td style="text-align: center;">
                                <input type="radio" name="rbModo" value="0" checked="checked"
                                    onclick="CheckCHC();" /><b><%=L.TIT("ListadoProrrogas") %></b>
                                <input type="radio" name="rbModo" value="1"
                                    onclick="CheckCHC();" /><b><%=L.TIT("CambiosAHabitacion") %></b>
                                <input type="radio" name="rbModo" value="2"
                                    onclick="CheckCHC();" /><b><%=L.TIT("CambiosAClientes") %></b>
                            </td>
                        </tr>
                    </table>
                </fieldset>

                <br />

                <fieldset>
                    <table style="width: 100%;">
                        <tr>
                            <td colspan="2"></td>
                            <td style="text-align: center;">
                                <%=L.LBL("LblGENStart") %>
                            </td>
                            <td style="text-align: center;">
                                <%=L.LBL("LblGENEnd") %>
                            </td>
                            <td colspan="3"></td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_cambio" name="cbFil_fecha_cambio" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENDate") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_cambio" onchange="$('input[name=cbFil_fecha_cambio]').prop('checked', true);"
                                    value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" class="eligeFecha" style="width: 70px;" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_cambio2" onchange="$('input[name=cbFil_fecha_cambio]').prop('checked', true);"
                                    value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" class="eligeFecha" style="width: 70px;" />
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_id_ralo" name="cbFil_id_ralo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSEXRegimen") %>:
                            </td>
                            <td>
                                <%=cbRegAloj %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_habi" name="cbFil_id_habi" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENRoom") %>:
                            </td>
                            <td>
                                <%=cbHabitacion %> 
                            </td>
                            <td>
                                <%=cbHabitacionRev %> 
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_id_dcto" name="cbFil_id_dcto" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSDescuento") %>:
                            </td>
                            <td>
                                <%=cbDescuento %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_ent" name="cbFil_fecha_ent" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKEntrada") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_ent" onchange="$('input[name=cbFil_fecha_ent]').prop('checked', true);"
                                    value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" class="eligeFecha" style="width: 70px;" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_ent2" onchange="$('input[name=cbFil_fecha_ent]').prop('checked', true);"
                                    value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" class="eligeFecha" style="width: 70px;" />
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_id_mone" name="cbFil_id_mone" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENMoney") %>:
                            </td>
                            <td>
                                <%=cbMoneda %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_fecha_sal" name="cbFil_fecha_sal" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSalida") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_sal" onchange="$('input[name=cbFil_fecha_sal]').prop('checked', true);"
                                    value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" class="eligeFecha" style="width: 70px;" />
                            </td>
                            <td>
                                <input type="text" id="txtFil_fecha_sal2" onchange="$('input[name=cbFil_fecha_sal]').prop('checked', true);"
                                    value="<%=string.Format("{0:d}", fecha_hotelera.AddDays(-1)) %>" class="eligeFecha" style="width: 70px;" />
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_id_oper" name="cbFil_id_oper" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENUser") %>:
                            </td>
                            <td>
                                <%=cbOperador %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_id_cont" name="cbFil_id_cont" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENTarifa") %>:
                            </td>
                            <td colspan="2">
                                <select name="cbContrato" id="cbContrato" onchange="$('input[name=cbFil_id_cont]').prop('checked', true);" style="width: 170px;">
                                    <option value="0" selected=""> </option>
                                    <%
                                        foreach (System.Data.DataRow dr in Contratos.Rows)
                                        {
                                            Response.Write(Utils.GetSelectOption(dr["id_cont"].ToString(), dr["contrato"].ToString().Trim() + " - " + dr["desc_cont"].ToString().Trim(), false));
                                        }
                                    %>
                                </select>
                            </td>
                            <td>
                                <input type="checkbox" id="cbFil_credito" name="cbFil_credito" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKCredito") %>:
                            </td>
                            <td>
                                <fieldset style="padding: 2px;">
                                    <input type="radio" name="rbCredito" value="1" checked="checked"
                                        onclick="$('input[name=cbFil_credito]').prop('checked', true);" /><%=L.LBL("LblGENYes") %>
                                    <input type="radio" name="rbCredito" value="0"
                                        onclick="$('input[name=cbFil_credito]').prop('checked', true);" /><%=L.LBL("LblGENNo") %>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFil_nombre" name="cbFil_nombre" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENName") %>:
                            </td>
                            <td colspan="2">
                                <input type="text" id="txtFil_nombre" value="" onchange="$('input[name=cbFil_nombre]').prop('checked', true);" style="width: 150px;" />
                            </td>
                        </tr>
                    </table>
                </fieldset>

                <br />

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="btnImprimirCHC" onclick="ListadoCHC();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENPrint") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

